Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1553352 (CVE-2018-7644) - CVE-2018-7644 php-simplesamlphp-saml2: Signature Validation Bypass
Summary: CVE-2018-7644 php-simplesamlphp-saml2: Signature Validation Bypass
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2018-7644
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1553358 1553359
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-08 18:02 UTC by Pedro Sampaio
Modified: 2019-09-29 14:35 UTC (History)
2 users (show)

Fixed In Version: simplesamlphp-saml2 3.1.3, simplesamlphp-saml2 2.3.7, simplesamlphp-saml2 1.10.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-23 13:19:09 UTC
Embargoed:


Attachments (Terms of Use)

Description Pedro Sampaio 2018-03-08 18:02:34 UTC
Affected versions of this package are vulnerable to Signature Validation Bypass. It allows a remote attacker to construct a crafted SAML assertion on behalf of an Identity Provider that would pass as cryptographically valid, thereby allows them to impersonate a user from that Identity Provider, aka a key confusion issue.

References:

https://simplesamlphp.org/security/201802-01

Comment 1 Pedro Sampaio 2018-03-08 18:10:58 UTC
Created php-simplesamlphp-saml2 tracking bugs for this issue:

Affects: fedora-all [bug 1553358]
Affects: epel-all [bug 1553359]

Comment 2 Shawn Iwinski 2018-04-23 04:37:18 UTC
All dependent bugs are closed.  Please close.


Note You need to log in before you can comment on or make changes to this bug.